  RELEASE NOTES FOR MATHCAD 5.0 AND MATHCAD PLUS 5.0 
  
  These notes provide last minute information on this version
  of Mathcad as well as corrections to the documentation.
  
                CONTENTS:
       1:  Preparing to Install
       2:  Preparing to Upgrade
       3:  Windows Swap File 
       4:  Incompatible DLL dialog - when upgrading from Mathcad 4.0
       5:  Incompatible DLL dialog - when upgrading from Mathcad 3.1
       6:  Compressed Drives
       7:  DOS 21 Error
       8:  What are WIN32S Libraries
       9:  Incompatibilities
      10:  Installation with Program Manager substitutes
      11:  Updates to documentation
      12:  Compatibility with older versions of Mathcad
      13:  Deleting unnecessary files
      14:  The Mathcad Tutorial
      15:  Mathcad unable to write to registration database
      16:  Regional variations in spelling
  
  1: PREPARING TO INSTALL --------------------------------------------------
  
  Before installing:
  
    1. Make sure that you have at least 15 MB free on your
       hard drive. For Mathcad PLUS, you should have 16 MB 
       free.
  
    2. Make sure you have disabled any virus checking
       software.
  
    3. Make sure your system is set up to run Windows 3.1 in
       386 enhanced mode or Windows NT.  The installation script 
       will not run otherwise.
  
    4. Make sure you have shut down all other applications.

2: PREPARING TO UPGRADE ------------------------------------------------
  
  When upgrading, you should install Mathcad 5.0 directly 
  over your earlier version of Mathcad. To do so:
  
    1. Make sure that you have at least 10 MB free on your
       hard drive. For Mathcad PLUS, you should have 11 MB 
       free.
  
    2. Make sure you have disabled any virus checking
       software.
  
    3. Make sure your system is set up to run Windows 3.1 in
       386 enhanced mode or Windows NT.  The installation script 
       will not run otherwise.
  
    4. Make sure you have shut down all other applications.

    5. When prompted for a directory, make sure to specify 
       the directory containing your old version of Mathcad. 
       This installation will automatically replace it.
    
  3: WINDOWS SWAP FILE -----------------------------------------------------
  
  If you see a dialog box saying
  
  "WIN32S requires Windows to run with virtual memory enabled.
           Re-install WIN32S"
  
    1. Open up the Windows Control Panel and double-click on
       the 386 Enhanced icon to bring up a dialog box.
  
    2. Click on the Virtual Memory button.
  
    3. Click on the Change button and create a permanent 
       or a temporary swap file. We require that the 
       swap file be at least 8 MB.
  
    4. Close all dialog boxes by clicking OK and restart
       Windows.
  
  WIN32S libraries require that a portion of your hard disk be
  set aside for a "swap file." It uses this file to create
  "virtual memory."
  
  Since virtual memory makes use of the hard disk, it is
  slower than actual RAM. You can improve its performance by
  creating a permanent swap file. Such a file makes use of
  contiguous blocks on your hard disk.
  
  The size of a permanent swap file is constrained by the
  smallest of the following three limits.
  
    1. The amount of contiguous hard-disk space. You can
       increase this by de-fragmenting your hard disk using any
       of a number of commercially available utilities.
  
    2. 50% of your free disk space.
  
    3. Four times the amount of RAM on your system plus 4MB.
       Thus, 3MB RAM allows no more than 3MB*4 + 4MB or 16MB
       of swap file space.
  
  4: INCOMPATIBLE DLL DIALOG BOX -- Upgrading from Mathcad 4.0 --------------
  
  If you have previously installed any of the MathSoft add-ons listed 
  below and are upgrading to Mathcad 5.0 (not Mathcad PLUS 5.0) you 
  will see a dialog box listing the names of any add-ons having 
  incompatible DLL files. Possible add-ons are:
  
       Signal Processing Function Pack
       Differential Equations Function Pack
  
  When you see the INCOMPATIBLE DLL dialog box, continue the installation
  and when the installation is complete follow the instructions below.
  
  All Function Packs require Mathcad PLUS 5.0. They are not designed 
  to work with Mathcad 5.0. For additional information on Mathcad PLUS 5.0 
  please call MathSoft at 1-800-MATHCAD and ask for Customer Service.
  
  To avoid further error messages, rename the *.DLL files located in the
  \WINMCAD\EFI subdirectory  to be *.DXX. Only rename the *.DLL files
  that are listed in the dialog box.  Mathcad will no longer try to load 
  them.
  
  5: INCOMPATIBLE DLL DIALOG BOX -- Upgrading from Mathcad 3.1 --------
  
  If you have previously installed any of the following MathSoft add-ons 
  you will see a dialog box listing the incompatible DLL files. 
  These include:
  
        Signal Processing Function Pack
        Treasury of Statistics, Vol. 1:  Hypothesis Testing 
        Treasury of Statistics, Vol. 2:  Data Analysis 
        Applied Mathcad Quarterly Magazine
  
  When you see the INCOMPATIBLE DLL dialog box, do one of the
  following:
  
  If Upgrading to Mathcad 5.0
         Continue the installation and when the installation is complete 
         follow the instructions below.
  
         Add-ons listed above other than the Signal Processing 
         Function Pack should be re-installed.  When you do so, install 
         them as if you had Mathcad 4.0. If  the installation for the 
         add-on doesn't provide such an option, call Technical Support 
         at 1-617-577-1778.
  
         All Function Packs require Mathcad PLUS 5.0. They are not 
         designed to work with Mathcad 5.0. For additional 
         information on Mathcad PLUS 5.0 please call MathSoft at 
         1-800-MATHCAD and ask for Customer Service.
  
  If Upgrading to Mathcad PLUS 5.0
         Ignore the message and continue the installation.  All Add-ons 
         listed above should be re-installed.  When you do so, install 
         them as if you had Mathcad 4.0. If the installation for the 
         add-on does not provide such an option, call Technical Support 
         at 1-617-577-1778.
  
  If you do not successfully reinstall you may encounter the
  error message "Cannot find MCAD.DLL" or "Cannot find
  EFIUTIL.DLL." These messages are benign. They merely
  indicate that you have an older 16-bit DLL on your system.
  
  To update to a 32-bit file, please call MathSoft Technical
  Support at 617-577-1778 between 9:00 and 5:30 Eastern
  time. 
  
  6: COMPRESSED DRIVES -----------------------------------------------------
  
  If you're using a disk compressor such as Stacker, we recommend
  you create a permanent swap file on your host drive. This will 
  significantly improve performance. See section 3 above for 
  information on how to create a swap file. Note that a permanent
  swap file, unlike a temporary one, can exist only on your host
  drive. It cannot be created on your compressed drive.
  
  If you're using DBLSPACE, DOS 6.0's compression utility,
  Windows will be able to create a permanent swap file only on
  your host drive. If you don't have the space to create a
  permanent swap file there, you can still run Mathcad by
  creating a temporary swap file on your compressed drive.
  
  7: DOS 21 ERROR ---------------------------------------------------------
  
  If you see a dialog box saying "DOS Error = 21" when starting up 
  Mathcad or Mathcad PLUS, do the following:
  
  1.  Exit to DOS.

  2.  Execute the file "_mcad.bat" found in your WINDOWS\SYSTEM 
      subdirectory. If you do not have this file, see the 
      instructions below.
  
  3.  Restart Windows.  You should be able to run Mathcad now.
  
  These steps will give Windows access to the version of the 
  WIN 32S libraries shipped with Mathcad 5.0.  These files are 
  needed to run Mathcad 5.0 or Mathcad PLUS 5.0 successfully.

  If you do not have a copy of the file "_mcad.bat:"

  1.  Exit to DOS.

  2.  Delete the following files from the \WINDOWS\SYSTEM directory:
         w32sys.dll
         win32s.ini
         win32s16.dll
         winmm16.dll

  3.  Delete the WIN32S subdirectory and its contents.

  4.  Restart Windows and ignore the error message that says
      a file necessary to run in 386 enhanced mode is missing.

  5.  Reinstall Mathcad.
  
  8: WHAT ARE WIN32S LIBRARIES --------------------------------------------
  
  The Mathcad installation script automatically installs
  Microsoft's WIN32S libraries. These Microsoft libraries
  permit Mathcad to use a limited subset of Windows-NT
  features. The 32-bit data path made available through the
  WIN32S libraries makes Mathcad run significantly faster.
  
  Once installation is complete, you'll find the WIN32S
  libraries in your \WINDOWS\SYSTEM\WIN32S directory.
  
  9: INCOMPATIBILITIES ----------------------------------------------------
  
  Shareware
    Certain shareware memory monitoring software may be
    incompatible with Mathcad. If you are running such software
    and experience unexplained crashes, try disabling any memory
    monitoring software you have running.
  
  Anti-virus software
    Most anti-virus software will interfere with the
    installation program. Be sure to disable any such software
    before installing Mathcad. You can re-enable anti-virus
    software after Mathcad is installed.
  
  Math coprocessors
    If you get obviously inappropriate error messages when
    running Mathcad, for example an "illegal range" pointing to
    a simple range variable assignment, you may have an
    incompatible coprocessor.
  
    Some older 80387 coprocessors made by IIT have this
    property. If you have an IIT coprocessor, call IIT customer
    support at 800-832-0770 to inquire about a replacement.
  
    Some older computers are equipped with an 80287 coprocessor
    and an 80386 CPU. Although fundamentally incompatible, this
    combination works for many software packages. However,
    because of its extensive use of the coprocessor, Mathcad
    tends to expose even minor incompatibilities in this
    configuration.
  
  Printers
    If you can't choose Print from the File menu and you have an
    HP-Deskjet 500C printer you may need to upgrade your printer
    driver to version 3.0 or later. To do so, call HP at 208-
    323-2551.
  
  Print Spoolers
    The print spooler WINJET comes with a file WINSPOOL.DRV.
    This is incompatible with the WIN32S file having the same
    name. When you attempt to install Mathcad with WINJET
    installed, the installation program quits about halfway
    through the process.
  
    To circumvent this problem, do the following:
  
    1. Comment out the following lines in the [386enh]
       section of your SYSTEM.INI file by preceding each 
       line with a semicolon.
         DEVICE: = LMHERALD.386
         DEVICE: = LMMI.386
         DEVICE: = LMCAP.386
  
    2. Reboot the computer.
  
    3. Install Mathcad.
  
    4. Uncomment the above lines by removing the semicolons
       you placed in the SYSTEM.INI. file.
  
    5. Reboot the computer.
  
  10: INSTALLATION WITH PROGRAM MANAGER SUBSTITUTES ------------------------
  
  Norton Desktop
     If you see an error message saying "Can't open group" you
     should:
  
        1. Open File Manager and locate "MATHSOF0.GRP." This
           is usually in your \WINDOWS subdirectory.
  
        2. Drag this file from the File Manager to your desktop.
  
  PC Tools
      You may find that icons for the tutorial and for the Electronic
      Books are missing from the MathSoft Apps group. To add these 
      icons manually:
  
         1. Choose New File from the File menu.
  
         2. In the text box next to "Command Line" type the 
            appropriate filename from the list below:
  
              TUTORIAL\TUTORIAL.EXE for the Tutorial
              HANDBOOK\DESKREF.HBK  for the Desktop Reference
              HANDBOOK\SAMPLER.HBK  for the Book Sampler
  
            These will generally be in the \WINMCAD directory. Click
            on the Browse button if necessary to help you find them.
  
         3. To add the appropriate icons, click the Icon button and
            open HANDBOOK\EBOOK.ICO.
  
      For more information, contact Central Point Software directly at
      503-645-6111.
  
  11: UPDATES TO DOCUMENTATION ---------------------------------------------
  
       AUTOSCALE ON POLAR PLOTS
         The autoscale feature is not available for polar plots.
         When you leave a placeholder on the radial axis blank, Mathcad
         will always set it to the nearest major tick mark which 
         allows all the data to appear on the polar plot.
       
       LOG SCALE ON POLAR PLOTS
         When the radius of a polar plot is negative, Mathcad plots 
         the absolute value of the radius.
  
       ZOOM FEATURE FOR LOGARITHMIC PLOTS
         The zoom feature is not available for polar and x-y plots 
         having a logarithmic axis.
  
       MATRIX FUNCTION IN MATHCAD PLUS 5.0
         This version of Mathcad contains an undocumented function, 
         matrix(m,n,f), which returns an m x n matrix whose ijth 
         element is given by f(i,j) where i=0,1,2...m-1 and 
         j=0,1,2...n-1.

       GENINV FUNCTION IN MATHCAD PLUS 5.0
         The generalized inverse function, geninv(A), uses the built-in 
         Mathcad variable TOL when calculating the generalized inverse
         of matrix A.  To increase the accuracy of the geninv function, 
         lower the value for TOL. After changing the value of TOL, 
         recalculate by clicking on the geninv function and pressing [F9].
       
       CHOLESKY FUNCTION IN MATHCAD PLUS 5.0
         The Cholesky function, cholesky(M), for matrix decomposition
         uses the upper triangular matrix of matrix M rather than the lower
         triangular matrix. The documentation states that the matrix M 
         must be positive definite. However, it is in fact the symmetric 
         matrix formed by reflecting the upper triangle of matrix M about 
         the diagonal which must be positive definite.
  
       NEW FEATURES SECTION IN USER'S GUIDE
         The new features section discussing additional features to 
         Mathcad's dimensional analysis has an error. There are no 
         additional units added either to Mathcad 5.0 or Mathcad PLUS 5.0.
  
       HEADERS AND FOOTERS
         This version of Mathcad allows headers and footers to contain 
         more than one line. Simply press [Return] when typing the 
         header or footer in the text box.
  
  12: COMPATIBILITY WITH OLDER VERSIONS OF MATHCAD ------------------------
  
      TITLES ON GRAPHICS
         When this version of Mathcad opens a document created
         by an older version, any graphics region in that document
         will have "Show titles" disabled. When adding a title to
         one of these graphics regions, make sure "Show titles" is
         enabled. 
  
       DISPLAYING MATRICES
         If you load a document created in an earlier version of 
         Mathcad into Mathcad 5.0 or Mathcad PLUS 5.0, any matrices 
         in that document will be displayed as matrices rather than as 
         scrolling output tables. To display a matrix as a scrolling output 
         table, select the matrix and choose Numerical Format from the 
         Math menu. Click in the box beside "Display as Matrix" to turn 
         the option off. Then click OK.
  
  13: DELETING UNNECESSARY FILES ------------------------------------------
  
    If you are upgrading from an earlier version of Mathcad, some
    unnecessary files may remain in the \WINMCAD directory. These
    files will not affect the operation of Mathcad.
  
    However, if you need to free up disk space for any reason, you
    can delete the following directories from the
    \WINMCAD\HANDBOOK directory:
  
         GETSTART
         STANDARD  
         TUTORIAL
         SAMPLE
  
    You can also delete the following files located in the
    \WINMCAD\HANDBOOK directory:
  
         GETSTART.HBK
         STANDARD.HBK
         TUTORIAL.HBK
         SAMPLE.HBK

  14: THE MATHCAD TUTORIAL ------------------------------------------------

     If you see the "Invalid Path" message upon double-clicking the 
     tutorial icon it means that you do not have write-access
     to the disk on which the tutorial must create a file. To 
     circumvent this problem:

         1. In the Program Manager, click on the tutorial icon.

         2. Choose Properties from the Program Manager's File menu.

         3. Click in the Command Line text box and press the 
            right arrow key until you see the "/D".

         4. Delete the "/D" and click OK. 

15: MATHCAD UNABLE TO WRITE TO REGISTRATION DATABASE ----------------------

    If when you start Mathcad you see the error message
    "Mathcad is unable to write to the registration database"
    it means that your C:\WINDOWS\REG.DAT file either cannot be
    found, is read-only or corrupted. You can often fix this 
    problem by making sure you've specified the complete path 
    (C:\WINDOWS rather than just \WINDOWS) in your path statement. 
    If this fails to fix the problem:

    1.   Check to make sure REG.DAT is not read-only. To do so,
         open File Manager, select REG.DAT and choose Properties
         from the File menu. If the Read Only box is checked,
         uncheck it, restart Windows and try running Mathcad again.

    2.   If step 1 didn't work, you'll have to run REGEDIT, a
         Windows supplied utility. Choose Run from the Program
         Manager's File menu and type REGEDIT /V in the Command
         Line text box.

    3.   Once REGEDIT is running, click on the "\" at the upper
         left corner of the window.
    
    4.   Choose Save Registration File from REGEDIT's File menu
         and specify a temporary name like OLDREG.REG.
    
    5.   Exit to DOS, rename the original REG.DAT file to
         REG1.DAT, and restart Windows.
    
    6.   Run REGEDIT /V again, as described in step 2.
    
    7.   Choose Merge Registration File from REGEDIT's File
         menu.
    
    8.   REGEDIT will prompt you for a file name. Use the same
         one as in step 4.
    
    9.   Click OK, exit Windows, reboot the computer and try
         running Mathcad again.     
    
16: REGIONAL VARIATIONS IN SPELLING --------------------------------------

    To accommodate regional variations in English spelling, this 
    version of Mathcad provides the following dictionaries:

          AMERICAN - Default for versions sold in the US and Canada.
                     Contains words like: "color", "organize", "tire".

       BRITISH_ISE - Default for English versions sold everywhere else.
                     Contains words like: "colour", "organise", "tyre".

       BRITISH_IZE - Identical to BRITISH_ISE except words like
                     "organise" are spelled as "organize".

    The following example shows how you would change your dictionary
    from AMERICAN to BRITISH_IZE:

     1. Open the MCAD.INI file with a text editor. You'll find
        this file in the \WINMCAD directory.

     2. In this file, locate the line
          "Spell-Dialect=AMERICAN" 

     3. Change this line to say:
          "Spell-Dialect=BRITISH_IZE"                   

     4. Save the file and restart Mathcad.